%define fontname inconsolata
%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

Name: %{fontname}-fonts
Version: 1.009
Release: 2%{?dist}
Summary: Inconsolata fonts
Group: User Interface/X
License: OFL
URL: http://www.levien.com/type/myfonts/inconsolata.html

Source0: http://www.levien.com/type/myfonts/Inconsolata.sfd

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires: fontforge

%description
A monospace font, designed for code listings and the like, in print.

%prep

%build
fontforge -script "-" %{SOURCE0} <<EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
EOF

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -fr %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then

%{_bindir}/fc-cache -f %{fontdir} || :

fi

%postun

if [ "$1" = "0" ]; then

if [ -x %{_bindir}/fc-cache ]; then

%{_bindir}/fc-cache -f %{fontdir} || :

fi

fi

%files
%defattr(0644,root,root,0755)
%doc *.pdf
%dir %{fontdir}
%{fontdir}/*.ttf

%changelog
* Wed Sep 3 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.009-2
⚙ Rebuild with pre-F10-freeze fontforge

* Sat Feb 02 2008 Kevin Fenzi <kevin@tummy.com> - 1.009-1
- Initial package for fedora
